---
title: Références des AMC sur Moodle
subtitle: Procédure pour s'aider avec Zotero
creation_date: 2025-05-07T12:00:24+0200
id: 20250507120024
date: printemps 2025
logo:
- ./static/moodle-logo.svg
- ./static/zotero-logo.png
tags: ["procédure", "AMC", "moodle", "zotero"]
toc-title: Table des matières
---

:::{#licence}
![Logo de la licence CC BY-SA 4.0][1] \
[CC BY-SA 4.0][2] --- [Sources][3]
:::

## Contexte {#first-section}

Le but de ce document est de proposer une procédure pour faciliter la rédaction
des références sur les pages Moodle des AMC. Pour l'utiliser, il faut :

- Disposer des références dans une bibliothèque Zotero, de préférence une
  bibliothèque de groupe, afin de la partager avec les personnes responsables
  de sélectionner les lectures recommandées et avec les personnes en charge de
  mettre à jour les pages Moodle.
- Que les informations associées aux références correspondent aux exigences de
  ce qui est attendu comme rendu (auteurs, titres, etc.).
- Avoir déterminé quel style Zotero utiliser, vraisemblablement le style
  Vancouver ou l'une de ses variantes.
- Avoir associé à chaque fois que cela est possible un fichier PDF aux
  références, que ce soit le *full text* d'un articles scientifiques, la
  numérisation d'un chapitre de livre, etc.

## Principes de base

Les PDF des documents vont être ajoutés dans un dossier. Le mieux est d'avoir
un dossier par section de l'AMC (ARC, séminaire, tutoriel, etc.) et de nommer
le dossier comme la section. Cela facilite la gestion des fichiers.

Le dossier peut être configuré pour ne pas être visible par les étudiant-es,
mais leur rester disponible. Le but est de na pas encombrer la page Moodle,
mais de pouvoir leur donner accès à l'ensemble du dossier, si on le désire.

Enfin, une section est créée sous la forme d'une ressource « page », dans
laquelle sont rédigées les références.

## Création du dossier et ajout des PDF

Depuis la section de l'AMC qui doit afficher les références :

1. Cliquer sur « Ajouter une activité ou ressource.

![Ajouter une ressource][4]

2. Sélectionner la ressource « dossier. »

![Ajouter un dossier][5]

3. Nommer le dossier de manière claire, pour le retrouver plus facilement
   ensuite. Le champ « description » est optionnel.

![Nommer le dossier][6]

4. Cocher les cases suivantes si elles ne le sont pas.

![Cases à cocher][7]

5. Dans la partie « Réglages courants », changer la disponibilité en « Rendre
   disponible, mais invisible sur la page de cours ».

![Rendre invisible][11]

6. Glisser-déposer les PDF dans la partie « Fichiers » du « Contenu ».

![Glisser-déposer les PDF][8]

7. Si nécessaire, créer un sous-dossier, par exemple « Pour en savoir plus ».
   Ensuite, glisser-déposer des PDF dans ce sous-dossier.

![Sous-dossier][9]

![Structure du dossier][10]

8. Une fois que le dossier contient tous les fichiers nécessaires, enregistrer
   avec le bouton « Enregistrer et revenir au cours » au fond de la page.

## Affichage des références

Toujours depuis la section de l'AMC qui doit afficher les références, on a 2
possibilités pour le faire :

1. Créer une ressource page.
1. Utiliser le champ description de la section.

La démarche est la même, mais la 2ͤ solution à l'avantage d'éviter un clic pour
afficher la liste des références. C'est ce qui est montré ci-dessous.

Dans notre cas, on dispose d'une section qui contient un dossier avec les PDF
des références. Nous allons éditer cette section :

1. Modifier les réglages de la section.

![Modifier les réglages de la section][12]

Le champ description est maintenant éditable.

2. Dans Zotero, sélectionner les références à afficher.

![Sélection des références][13]

3. Clic-droit sur la sélection et choisir « Créer une bibliographie à partir des
   documents sélectionnés »

![Créer une bibliographie à partir des documents][14]

4. Un dialogue s'ouvre pour choisir le style bibliographique[^1], ainsi que le
   mode et la méthode de création. Enfin, cliquer sur « OK ».

![Paramétrage de la bibliographie][15]

5. Coller les références dans l'éditeur du champ « description » de Zotero. Il
   faut cliquer dans l'éditeur pour y activer le curseur et utiliser le
   raccourci clavier « ctrl+v ». Vous pouvez également mettre en forme le
   contenu de ce champ.

![La bibliographie collée dans l'éditeur][17]

6. Si nécessaire, faire la même chose pour les références « Pour en savoir
   plus ». Voici ce que ça donne avec l'ajout du format « puces » :

![La bibliographie complète, mise en forme][18]

7. Ajouter le lien vers le PDF. Commencer par ajouter le texte du lien,
   sélectionner ce texte et cliquer sur le bouton pour ajouter un lien.

![Ajouter un lien hypertexte][19]

8. Dans le dialogue qui s'ouvre, cliquer sur « Parcourir les dépôts… » pour
   aller chercher le PDF correspondant à la référence.

![Parcourir les dépôts][20]

9. Dans le sélecteur de fichiers qui s'ouvre, rester dans la section « Fichiers
   disponibles » et chercher le dossier créé plus tôt.

![Sélection du dossier contenant les PDF][21]

10. Sélectionner le PDF correspondant à la référence.

![Sélectionner le bon PDF][22]

11. Dans le nouveau dialogue, paramétrer l'ajout du fichier, en préférant un
    lien vers le fichier 

![Paramétrer l'ajout du fichier][23]

<!-- références -->

[^1]: Il faut sélection un style qui correspond à vos exigences. En médecine,
en général il s'agit du style Vancouver. Pour ajouter des styles à Zotero, voir
[la documentation][16].

[1]: ./static/by-sa.svg
[2]: https://creativecommons.org/licenses/by-sa/4.0/deed.fr "Texte de la licence en français"
[3]: https://git.milhit.ch/igor/refs-amc-moodle
[4]: ./static/ajouter-ressource.png
[5]: ./static/ajouter-dossier.png
[6]: ./static/nommer-dossier.png
[7]: ./static/dossier-cases-cocher.png
[8]: ./static/dossier-glisser-deposer.png
[9]: ./static/sous-dossier.png
[10]: ./static/dossier-structure.png
[11]: ./static/dossier-non-visible.png
[12]: ./static/modifier-reglages-sections.png
[13]: ./static/zotero-selection-references.png
[14]: ./static/zotero-creer-bibliographie.png
[15]: ./static/zotero-parametres-bibliographie.png
[16]: https://docs.zotero-fr.org/styles/#installer-des-styles-supplementaires
[17]: ./static/coller-bibliographie.png
[18]: ./static/bibliographie-avec-puces.png
[19]: ./static/ajouter-lien.png
[20]: ./static/parcourir-depots.png
[21]: ./static/selection-dossier-pdf.png
[22]: ./static/selection-pdf.png
[23]: ./static/parametrer-insertion-fichier.png
